2016-12-09 13:35 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000290OpenFOAM[All Projects] Bugpublic2011-09-14 11:08
Reportereelcovv 
Assigned Touser2 
PrioritylowSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOtherOS Version(please specify)
Product Version 
Target VersionFixed in Version 
Summary0000290: Add 'after' option to fieldAverage libfieldFunctionObjects
DescriptionIn contrast to volumeAverage, the fieldAverage fromthe libfieldFunctionObjects library does not have an -after option in order to specify the start of averaging of data fields. Could this option be added to the functionality ?
Additional InformationMore info can be found here:
http://www.cfd-online.com/Forums/openfoam-programming-development/92306-starting-field-averaging-using-libfunctionobject-after-certain-time.html
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000653

user2

I've added optional 'timeStart' and 'timeEnd' properties to the base output function object, which will default to -VGREAT and VGREAT, respectively, see commit:

    bc83ada6ff66f35ecdd74e48e97f7c7e3bb29a33

These properties are therefore available to all of the derived types, e.g. for your case, simply add 'timeStart XXX;' to the fieldAverage input specification.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-13 13:55 eelcovv New Issue
2011-09-14 11:01 user2 Priority normal => low
2011-09-14 11:01 user2 Severity tweak => feature
2011-09-14 11:08 user2 Note Added: 0000653
2011-09-14 11:08 user2 Status new => resolved
2011-09-14 11:08 user2 Fixed in Version => 2.0.x
2011-09-14 11:08 user2 Resolution open => fixed
2011-09-14 11:08 user2 Assigned To => user2
+Issue History